export interface NumericValue {
  value: number;
  unit: string;
}

export interface ObservationTable {
  mother?: {
    rows?: {
      activityId: string;
      date: Date;
      gestationAge: string;
      weight?: NumericValue;
      bloodPressure?: {
        systolic?: NumericValue;
        diastolic: NumericValue
      };
      urine?: string;
      edema?: string;
      pubismeasurement?: NumericValue
    }[]
  };
  fetuses?: {
    id: string;
    name: string;
    rows?: {
      activityId: string;
      date: Date;
      gestationAge: string;
      fetusPresentation?: string;
      fetusWeightEstimate?: NumericValue;
      fetusActivity?: string[];
    }[];
  }[];
}
