import { Injectable } from '@angular/core';
import {DataSourceService} from '../../services/data-source.service';
import {
  Observation,
  ObservationTable,
} from '@nspop/gm-web-facade-api';
import {Observable} from 'rxjs';
import {ObservationService} from '../../api/observation.service';

export interface ObservationGroup {
  date: Date;
  fetus: string;
  observations: Observation[];
}

const seed: ObservationGroup[] = [];

@Injectable({
  providedIn: 'root'
})
export class ClinicalObservationsServiceService {
  constructor(private dataSourceService: DataSourceService, private observationService: ObservationService) {
  }
  public observationGroups: Observable<ObservationTable> =
    this.observationService.getClinicalObservationTable();
}
