import {ComponentFixture, fakeAsync, TestBed, tick} from '@angular/core/testing';

import {NoActivePathwayComponent} from './no-active-pathway.component';
import {DataSourceService} from '../services/data-source.service';
import {of} from 'rxjs';
import {DataCardService} from '../api/data-card.service';

describe('NoActivePathwayComponent', () => {
  let component: NoActivePathwayComponent;
  let fixture: ComponentFixture<NoActivePathwayComponent>;
  let dataSourceSpy: jasmine.Spy<any>;

  beforeEach(async () => {
    const dataSource = {refresh: () => undefined};
    dataSourceSpy = spyOn(dataSource, 'refresh');

    await TestBed.configureTestingModule({
      declarations: [ NoActivePathwayComponent ],
      providers: [
        {provide: DataSourceService, useValue: dataSource},
        {provide: DataCardService, useValue: {maternityDataCardCreate: () => of(undefined)}},
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(NoActivePathwayComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('triggers data reload after creating a new episode of care', fakeAsync(() => {
    component.createPathway();
    tick();
    expect(dataSourceSpy).toHaveBeenCalled();
  }));
});
