import { Injectable } from '@angular/core';
import {DataSourceService} from './data-source.service';
import {Observable} from 'rxjs';
import {DataCardAllOfScreeningsSection} from '@nspop/gm-web-facade-api';
import {map} from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class ScreeningsService {
  public screenings$: Observable<(DataCardAllOfScreeningsSection | undefined)[]> = this.dataSourceService.activeDataCard$.pipe(
    map((dataCard) => dataCard?.screeningsSection ? [dataCard?.screeningsSection] : [])
  );
  constructor(private dataSourceService: DataSourceService) { }
}
