import {ComponentFixture, fakeAsync, TestBed, tick} from '@angular/core/testing';

import { TriageOverviewComponent } from './triage-overview.component';
import {DataSourceService} from '../services/data-source.service';
import {of} from 'rxjs';
import {FormsModule, NgForm} from '@angular/forms';
import {AppModule} from '../app.module';
import {AngularMaterialModule} from '../modules/angular-material.module';
import {MatIconTestingModule} from '@angular/material/icon/testing';

describe('TriageOverviewComponent', () => {
  let component: TriageOverviewComponent;
  let fixture: ComponentFixture<TriageOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ TriageOverviewComponent ],
      imports: [FormsModule, AppModule, AngularMaterialModule, MatIconTestingModule],
      providers: [
        {
          provide: DataSourceService,
          useValue: {activeDataCard$: of({documentUniqueId: '1', version: '2', episodeOfCareIdentifier: '3', dummy: true})}
        },
        {provide: NgForm, useValue: new NgForm([], [])},
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(TriageOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', fakeAsync(() => {
    expect(component).toBeTruthy();
    tick();
    expect(component.dataCard).toEqual({dummy: true} as any);
  }));
});
