import {ComponentType} from '@angular/cdk/portal';
import {Route} from '@angular/router';
import {PrivatelyMarkedGuard} from '../app/privately-marked/privately-marked.guard';
import {DirtyGuard} from '../app/confirm-navigation-if-dirty.framework';

/**
 * Application url string literals
 */
export const appUrls = {
  triageOverview: 'overblik-til-visitation',
  activities: 'forløbsplan',
  measurements: 'undersøgelser-og-målinger',
  pregnancy: 'svangerskab',
  patientInformation: 'patientoplysninger',
  privatelyMarked: 'privatmarkerede-oplysninger',
  somethingWentWrong: 'der-skete-en-fejl',
  base: '**'
};

export const apiUrls = {
  dataCard: '/maternity/v1/data-card',
  carePlan: '/maternity/v1/care-plan',
  observation: '/maternity/v1/observation',
};

export function route(path: string, component?: ComponentType<any>, canActivate?: ComponentType<any>[]): Route {
  return {
    path,
    component,
    canActivate: canActivate || [PrivatelyMarkedGuard],
    canDeactivate: [DirtyGuard],
  };
}
